Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.taskmgmt.exe
Class PooledActor

    java.lang.Object
      org.jbpm.taskmgmt.exe.PooledActor

All Implemented Interfaces:
  java.io.Serializable

    public class PooledActor

extends java.lang.Object
implements java.io.Serializable

See Also:
  Serialized Form

Field Summary
`protected java.lang.String` | `actorId`
`protected SwimlaneInstance` | `swimlaneInstance`
`protected java.util.Set` | `taskInstances`

Constructor Summary
`PooledActor()`
`PooledActor(java.lang.String actorId)`

Method Summary
`void` | `addTaskInstance(TaskInstance taskInstance)`
`static java.util.Set` | `createPool(java.lang.String[] actorIds, SwimlaneInstance swimlaneInstance, TaskInstance taskInstance)`
`boolean` | `equals(java.lang.Object o)`
`static java.util.Set` | `extractActorIds(java.util.Set poooledActors)`
`java.lang.String` | `getActorId()`
`long` | `getId()`
`SwimlaneInstance` | `getSwimlaneInstance()`
`java.util.Set` | `getTaskInstances()`
`void` | `removeTaskInstance(TaskInstance taskInstance)`
`void` | `setActorId(java.lang.String actorId)`
`void` | `setSwimlaneInstance(SwimlaneInstance swimlaneInstance)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### actorId

    protected java.lang.String actorId

### taskInstances

    protected java.util.Set taskInstances

### swimlaneInstance

    protected SwimlaneInstance swimlaneInstance

Constructor Detail

### PooledActor

    public PooledActor()

### PooledActor

    public PooledActor(java.lang.String actorId)

Method Detail

### createPool

    public static java.util.Set createPool(java.lang.String[] actorIds,
                                           SwimlaneInstance swimlaneInstance,
                                           TaskInstance taskInstance)

### extractActorIds

    public static java.util.Set extractActorIds(java.util.Set poooledActors)

### addTaskInstance

    public void addTaskInstance(TaskInstance taskInstance)

### getTaskInstances

    public java.util.Set getTaskInstances()

### removeTaskInstance

    public void removeTaskInstance(TaskInstance taskInstance)

### equals

    public boolean equals(java.lang.Object o)

  Overrides:
    `equals` in class `java.lang.Object`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### getActorId

    public java.lang.String getActorId()

### setActorId

    public void setActorId(java.lang.String actorId)

### getSwimlaneInstance

    public SwimlaneInstance getSwimlaneInstance()

### setSwimlaneInstance

    public void setSwimlaneInstance(SwimlaneInstance swimlaneInstance)

### getId

    public long getId()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD